*{
    box-sizing: border-box;
    scroll-behavior: smooth;
}
body{
    font-family: "poppins", sans-serif;
    color: #222;
}
/* Navbar*/
.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 2rem;
    background: #2C3E50;
    position: sticky;
    top: 0;
    z-index: 100;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    color: #fff;
}
.nav-links{
    list-style: none;
    display: flex;
    gap: 1.5rem;
}
.nav-links a{
    text-decoration: none;
    color:#fff;
    font-weight: 500;
}
.nav-links a:hover {
    text-decoration: underline;
    color: #1ABC9C;
}
.hamburger {
    display: none;
    font-size: 1.8rem;
    cursor: pointer;
}
/*hero*/
.hero {
    height: 70vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(135deg, #2C3E50, #4CA1AF);
    color: #fff;
    text-align: center;
    
}
.hero h1 span{
    color:#ffda79;
}
.btn{
    background: #fff;
    color: #2575fc;
    padding: 5px;
    border: none;
    border-radius: 5px;
    margin-top: 3rem;
    text-decoration: none;
    font-weight: bold;
}
.btn:hover {
    background: #1ABC9C;
    color: black;
    transition: 0.2s;
}
/*about*/
.about {
    padding: 2rem;
    text-align: center;
    background:#EAF4F4 ;
}
.skills ul li{
    display: grid;
    margin: 0.5;
    grid-template-columns: repeat(auto-fit),minmax(250px, 1fr);
    gap: 1.5rem;
    margin-top: 2rem;
}
/*about img*/
.pic img{
    width: 280px;
    height: 200px;
    margin: 20px auto;
    padding: 5px;
    border-radius: 10%;
    object-fit: cover;
    display: block;
    border: 3px solid  #4CA1AF;
    box-shadow: 0px 4px 15px rgba(0,0,0,0.1);

}
/*projects*/
.projects{
    padding: 4rem 2rem;
    text-align: center;
    background: #EAF4F4;
    margin-bottom: 3rem;
}
.project-cards{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px 1fr));
    gap: 1.5rem;
    margin-top: 2rem;
}
.card{
    background:#FFFFFF;
    padding: 1.5rem;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}
.card .btn{
    display: inline-block;
    margin-top: 1rem;
}
.card .btn:hover {
    color: #222;
    transition: 0.2s;
}
/*contact*/
.contact{
    background: #f9f9f9;
    padding: 4rem 2rem;
    text-align: center;
}
form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-height: 400px;
    margin: auto;
}
input, textarea {
    padding: 0.8;
    border:1px solid #ccc;
    border-radius: 5px;
}
form .btn { background-color: #f9f9f9;
    color: #2575fc;
    padding: 0.7rem 1.5rem;
    border: 10px;
    border-radius: 5px;
    margin-top: 1rem;
    text-decoration: none;
    font-weight: bold;
}
form .btn:hover {
    color:#222;
    transition: 0.2s;
    border: none;
    box-sizing: content-box;
    border-radius:5px;

}
/*footer*/
footer{
    background: #222;
    color: #eee;
    padding: 1.5rem;
    text-align: center;
}
footer a{
    color: #eee;
    text-decoration: none;
    padding: 1rem 2rem;
}
footer a:hover{
    color: #1ABC9C;
    transition: 0.1s;
}
/*responsive*/
@media (max-width:768px) {
    .nav-links{
        display: none;
        flex-direction: column;
        background:#2C3E50;
        position: absolute;
        top: 70px;
        right: 0;
        width: 200px;
        padding: 1rem;
        color: wheat;
    }
    .nav-links.active{
        display: flex;
    }
    .hamburger{
        display: block;
    }
}